[script]
n0=***on *:TEXT:*:#Helpstaff,#adfadgadga: {
n1=  if ($1 == !adayekle) && ($hget($2)) { msg $chan $2 nickine ait egitim tablosu zaten var }
n2=  if ($1 == !adaysil) && (!$hget($2)) && $2 { msg $chan $2 nickine ait egitim tablosu zaten yok | .hdel Egitimnick $2 | remove $+($2,.hash) | hsave -i egitimnick egitimnick.hash }
n3=  if ($1 == !adaysil) && ($hget($2)) && $2 { msg $chan $2 nicki egitim tablosundan silindi. | hfree -sw $2 | hdel Egitimnick $2 | remove $+($2,.hash) | hsave -i egitimnick egitimnick.hash }
n4=  if ($1 == !adayekle) && (!$hget($2)) && $2 && !$hget(egitimnick) {
n5=    hmake egitimnick 100
n6=    hadd egitimnick $2
n7=    hmake $2 100
n8=    hadd $2 HelpServ islenmedi
n9=    hadd $2 NickservGenel islenmedi
n10=    hadd $2 NickservSetUnset islenmedi 
n11=    hadd $2 ChanservGenel islenmedi 
n12=    hadd $2 ChanservSetUnset islenmedi  
n13=    hadd $2 ChanservLevels islenmedi
n14=    hadd $2 ChanservAkick islenmedi
n15=    hadd $2 Memoserv islenmedi
n16=    hadd $2 MemoservSet islenmedi
n17=    hadd $2 Helpop islenmedi
n18=    hadd $2 Wildcard islenmedi
n19=    hadd $2 NickModeleri islenmedi
n20=    hadd $2 KanalModeleri islenmedi
n21=    hadd $2 +fParametleri islenmedi
n22=    hadd $2 Extraban islenmedi
n23=    hadd $2 Exceptions islenmedi
n24=    hadd $2 Who islenmedi
n25=    hadd $2 Ignore islenmedi
n26=    hadd $2 List islenmedi
n27=    hadd $2 Timer islenmedi
n28=    hadd $2 Version islenmedi
n29=    msg $chan $2 nickinin aday egitim tablosu olusturuldu.
n30=    hsave $2 $+($2,.hash)
n31=    hsave egitimnick egitimnick.hash
n32=  }  
n33=  if ($1 == !adayekle) && (!$hget($2)) && $2 && $hget(egitimnick) { 
n34=    hmake $2 100
n35=    hadd egitimnick $2
n36=    hadd $2 HelpServ islenmedi
n37=    hadd $2 NickservGenel islenmedi
n38=    hadd $2 NickservSetUnset islenmedi 
n39=    hadd $2 ChanservGenel islenmedi 
n40=    hadd $2 ChanservSetUnset islenmedi  
n41=    hadd $2 ChanservLevels islenmedi
n42=    hadd $2 ChanservAkick islenmedi
n43=    hadd $2 Memoserv islenmedi
n44=    hadd $2 MemoservSet islenmedi
n45=    hadd $2 Helpop islenmedi
n46=    hadd $2 Wildcard islenmedi
n47=    hadd $2 NickModeleri islenmedi
n48=    hadd $2 KanalModeleri islenmedi
n49=    hadd $2 +fParametleri islenmedi
n50=    hadd $2 Extraban islenmedi
n51=    hadd $2 Exceptions islenmedi
n52=    hadd $2 Who islenmedi
n53=    hadd $2 Ignore islenmedi
n54=    hadd $2 List islenmedi
n55=    hadd $2 Timer islenmedi
n56=    hadd $2 Version islenmedi
n57=    msg $chan $2 nickinin aday egitim tablosu olusturuldu.
n58=    hsave $2 $+($2,.hash)
n59=    hsave egitimnick egitimnick.hash
n60=  }
n61=
n62=  if ($1 == !raporekle) && $2 && $3 && $hget($2) && ($hfind($2,$3,0,n) == 0) {
n63=    msg $chan $Nick Lütfen Listedeki konunun aynisini yazip kullanin. Örnegin konuda NickServGenel yazilmissa aynisini komutta kullanin. Egitim Konularini görmek için lütfen $+($chr(2),!Konular,$chr(2)) komutunu kullanin.
n64=  }
n65=  if ($1 == !Raporekle) && $2 && $3 && $hget($2) && ($hfind($2,$3,0,n) == 1) {
n66=    hadd $2 $3 $+($chr(2),Islendi,$chr(2),$chr(32)) Egitmen: $nick
n67=    hsave $2 $+($2,.hash)
n68=    msg $chan $3 ders konusu $2 nicki için eklendi.
n69=  }
n70=  elseif ($1 == !egitimekle) && $2 && $3 && !$hget($2) { msg $chan $nick öncelikle kisiye tablo olusturun. Komutlari görmek için .komutlist yaziniz. }
n71=  if ($1 == !komutlist) { 
n72=    msg $chan !adayekle Nick : Egitim alacak kisiye egitim tablosu olusturur. Örnegin: !Adayekle HelpNick
n73=    msg $chan -
n74=    msg $chan !adaysil Nick : Egitim alan kisinin egitim tablosunu siler. Örnegin: !Adaysil HelpNick
n75=    msg $chan -
n76=    msg $chan !Raporekle Nick Konu : Nick'e verilemis olan egitimi "islenmis" olarak gösterir ve Egitmen nickini de gösterir. 
n77=    msg $chan - 
n78=    msg $chan !Raporlist Nick : Nickin isledigi ve islemedigi egitim konularini siralar
n79=    msg $chan -
n80=    msg $chan !adaylist: Egitim programina katilan tüm nickleri siralar.
n81=    msg $chan -
n82=    msg $chan !Konular: Egitim süresince verilen tüm egitim basliklarini listeler.
n83=  }
n84=  if ($1 == !Konular) {
n85=    msg $chan HelpServ
n86=    msg $chan NickservGenel
n87=    msg $chan NickservSetUnset 
n88=    msg $chan ChanservGenel 
n89=    msg $chan ChanservSetUnset  
n90=    msg $chan ChanservLevels
n91=    msg $chan ChanservAkick
n92=    msg $chan Memoserv
n93=    msg $chan MemoservSet
n94=    msg $chan Helpop
n95=    msg $chan Wildcard
n96=    msg $chan NickModeleri
n97=    msg $chan KanalModeleri
n98=    msg $chan +fParametleri
n99=    msg $chan Extraban
n100=    msg $chan Exceptions
n101=    msg $chan Who
n102=    msg $chan Ignore
n103=    msg $chan List
n104=    msg $chan Timer
n105=    msg $chan Version
n106=  }
n107=
n108=  if ($1 == !raporlist) && $2 && ($isfile($+($2,.hash))) {
n109=    msg $chan $hget($2,15).item $hget($2,15).data
n110=    msg $chan $hget($2,2).item $hget($2,2).data
n111=    msg $chan $hget($2,12).item $hget($2,12).data
n112=    msg $chan $hget($2,14).item $hget($2,14).data
n113=    msg $chan $hget($2,10).item $hget($2,10).data
n114=    msg $chan $hget($2,21).item $hget($2,21).data
n115=    msg $chan $hget($2,9).item $hget($2,9).data
n116=    msg $chan $hget($2,19).item $hget($2,19).data
n117=    msg $chan $hget($2,4).item $hget($2,4).data
n118=    msg $chan $hget($2,17).item $hget($2,17).data
n119=    msg $chan $hget($2,8).item $hget($2,8).data
n120=    msg $chan $hget($2,16).item $hget($2,16).data
n121=    msg $chan $hget($2,6).item $hget($2,6).data
n122=    msg $chan $hget($2,7).item $hget($2,7).data
n123=    msg $chan $hget($2,20).item $hget($2,20).data
n124=    msg $chan $hget($2,11).item $hget($2,11).data
n125=    msg $chan $hget($2,1).item $hget($2,1).data
n126=    msg $chan $hget($2,5).item $hget($2,5).data
n127=    msg $chan $hget($2,18).item $hget($2,18).data
n128=    msg $chan $hget($2,13).item $hget($2,13).data
n129=    msg $chan $hget($2,3).item $hget($2,3).data
n130=
n131=  }
n132=  if ($1 == !Raporlist) && !$2 { msg $chan Lütfen nick belirtin. Örnek Kullanim: !Egitimgoster HelperNick }
n133=  if ($1 == !Raporlist) && (!$isfile($+($2,.hash))) && $2 { msg $chan $+($chr(2),$2,$chr(2)) nickinin aday egitim tablosu yok. $+($chr(2),!Adayekle nick,$chr(2)) seklinde olusturabilirsiniz. }
n134=  if ($1 == !Adaylist) && ($hget(egitimnick,0).item != 0) {
n135=    var %i = 1, %t = $hget(egitimnick,0).item
n136=    while (%i <= %t) {
n137=      msg $chan -> $hget(egitimnick,%i).item
n138=      inc %i
n139=    }
n140=    msg $chan Egitim alan nickler siralandi.
n141=  }
n142=  elseif ($1 == !adaylist) && ($hget(egitimnick,0).item == 0)  { msg $chan Egitim listesi bos }
n143=}
n144=on *:start: {
n145=  if ($isfile(egitimnick.hash)) { hmake -s egitimnick 100 | hload egitimnick egitimnick.hash }
n146=  var %i = 1, %t = $hget(egitimnick,0).item
n147=  while (%i <= %t) {
n148=    if $isfile($+($hget(egitimnick,%i).item,.hash)) { hmake $hget(egitimnick,%i).item 100 | hload $hget(egitimnick,%i).item $+($hget(egitimnick,%i).item,.hash) }
n149=    inc %i
n150=  }
n151=}
